Next: scalbn, Previous: rint, Up: Math

### 1.49 `round`, `roundf`–round to integer, to nearest

Synopsis

         #include <math.h>
         double round(double x);
         float roundf(float x);

Description
The `round` functions round their argument to the nearest integer value in floating-point format, rounding halfway cases away from zero, regardless of the current rounding direction. (While the "inexact" floating-point exception behavior is unspecified by the C standard, the `round` functions are written so that "inexact" is not raised if the result does not equal the argument, which behavior is as recommended by IEEE 754 for its related functions.)

Returns
x rounded to an integral value.

Portability
ANSI C, POSIX

See Also
`nearbyint`, `rint`